onEvent('recipes', event => {
	event.forEachRecipe(
		{ type: 'minecraft:crafting_shapeless', output: '#minecraft:planks' }, r => {
			let ingredients = r.originalRecipeIngredients
			let output = r.originalRecipeResult
			event.shapeless(Item.of(output), ['#notreepunching:saws', ingredients[0]]).damageIngredient('#notreepunching:saws');
			event.remove( {id: r.getOrCreateId()} );
		}
	)

})